#include <bits/stdc++.h>
using namespace std;
int n,c,d;
int main (){
    cin>>n;
    c=n/2;
    d=n-c;
    for (int i=1; i<=c; i++){
        cout<<"DA"<<endl;
}
    for (int j=c; j<=d; j++){
        cout<<"NE"<<endl;
    }

return 0;}